Bug 1127002 - Document how to cluster Maven Artifact repository
Summary: Document how to cluster Maven Artifact repository
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: JBoss BPMS Platform 6
Classification: Retired
Component: Documentation
Version: 6.0.2
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: CR2
: One-off release
Assignee: Vikram Goyal
QA Contact: Radovan Synek
URL:
Whiteboard:
Depends On:
Blocks: 1115481 1115479
TreeView+ depends on / blocked
 
Reported: 2014-08-05 20:21 UTC by Alessandro Lazarotti
Modified: 2019-07-11 08:06 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-11-03 01:48:48 UTC
Type: Bug


Attachments (Terms of Use)

Description Alessandro Lazarotti 2014-08-05 20:21:27 UTC
We should provide in BPM Suite Documentation the steps to cluster Maven artifact repository until get fixed the Bug 1112758.

As explained in Bug 1112758 the Workbench's Maven Repository is not cluster aware so additional workarounds should be applied.

The documentation should be fixed in time for 6.0.2 Roll Up Patch #1 since Bug 1112758 will not be fixed until there.

Comment 6 Alessandro Lazarotti 2014-09-16 21:14:47 UTC
It still there is a problem in this chapter, but I am not sure if should I open a new BZ or it can be driven by this one.

All the time, the cluster chapter says "Artifact Repository" referencing the VFS (Git) used by Business Central, when, in fact, the Artifact Repository is the internal Maven repository, not the Git. 

Even the GUI uses the term "Artifact Repository" in menu to users interact with the Business Central M2 repo, not with Git.

So, all the content like : 

"Artifact repository clustering mechanism - To cluster the Artifact repository the following is used: "

... is not correct, actually the Artifact repository (maven) is not cluster aware as explained by "Clustering Maven Repositories".

This is important to get fixed because the terminology used conflicts with that used by the product. We need to get understandable what Artifact Repository is and what VFS repo is and so says how to cluster each one.

Comment 8 Radovan Synek 2014-09-17 06:39:31 UTC
Alessandro, thanks for pointing this out. Although the term "Artifact repository" has been clearly defined at the start of chapter 6, it could make confusion as Artifact repository in Business Central is a maven repo containing built projects and uploaded libraries.

Vikram, could you please fix the chapter as Alessandro suggests?

Comment 9 Vikram Goyal 2014-09-22 04:08:38 UTC
Thanks Alessandro and Radovan. I have changed Artifact Repository to GIT Repository and this can be verified here [1] and here [2].

This bug is already at VERIFIED and is marked for release with 6.0.3.

[1] http://documentation-devel.engineering.redhat.com/site/documentation/en-US/Red_Hat_JBoss_BPM_Suite/6.0/html-single/Installation_Guide/index.html#chap-Clustering

[2] http://documentation-devel.engineering.redhat.com/site/documentation/en-US/Red_Hat_JBoss_BRMS/6.0/html-single/Installation_Guide/index.html#chap-Clustering

Comment 10 Radovan Synek 2014-09-22 06:14:56 UTC
Vikram,

there is one more place where Artifact repository needs to be renamed to VFS (Git) repository:
Table 6.1. Cluster node properties, there is a property "org.uberfire.nio.git.dir" with description "Artifact repository location on node[N]"


Note You need to log in before you can comment on or make changes to this bug.